%global forgeurl https://gitlab.com/fedora/sigs/go/go2rpm
%define tag v%{version}

Name:           go2rpm
Version:        1.13.0^3.20240412.3d4e87d
%forgemeta
Release:        1
Summary:        Convert Go packages to RPM

License:        MIT
URL:            %{forgeurl}
Source:         go2rpm-1.13.0^3.20240412.3d4e87d.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)
# Recommend go2rpm all extra that includes packages needed for the vendor
# profile
Recommends:     go2rpm+all

%description
Convert Go packages to RPM.

%prep
%autosetup 

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}

%pyproject_extras_subpkg -n go2rpm all vendor

%changelog
%autochangelog
* Fri Apr 12 2024 Maxwell G <maxwell@gtmx.me> - 1.13.0^3.20240412.3d4e87d-1
- templates vendor: adjust go-vendor-tools-generated comment

* Wed Apr 10 2024 Maxwell G <maxwell@gtmx.me> - 1.13.0^2.20240410.9b06e71-1
- nox bump: re-enable twine check

* Wed Apr 10 2024 Maxwell G <maxwell@gtmx.me> - 1.13.0^1.20240410.041e041-1
- Post-release version bump

